%define oname   zoom

Name:       ruby-%{oname}
Version:    0.5.0
Release:    %mkrel 15
Summary:    Ruby Zoom Handler
Group:      Development/Ruby
License:    MIT
URL:        http://tmail.rubyforge.org
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ruby-power_assert
BuildRequires: ruby-test-unit
BuildRequires: ruby-rake
BuildRequires: pkgconfig(yaz)

%description
Ruby/ZOOM provides a Ruby binding to the Z40.50 Object-Orientation 
Model (ZOOM), an abstract object-oriented programming interface to 
a subset of the services specified by the Z39.50 standard, also 
known as the international standard ISO 23950.

%files
%{gem_instdir}/
%doc %{gem_instdir}/sample
%doc %{gem_instdir}/test
%doc %{gem_docdir}
%{gem_spec}
%doc ChangeLog README.md
%{gem_extdir_mri}

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%check
# Other tests require internet
ruby -r test/unit -Iext -I%buildroot%{gem_extdir_mri} -r zoom test/package_test.rb



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.5.0-15.mga10
+ Revision: 2235386
- Mageia 10 Mass Rebuild

* Sun Feb 02 2025 pterjan <pterjan> 0.5.0-14.mga10
+ Revision: 2144462
- Rebuild for Ruby 3.4

* Wed Dec 04 2024 pterjan <pterjan> 0.5.0-13.mga10
+ Revision: 2121592
- Rebuild for Ruby 3.3

* Wed Mar 30 2022 umeabot <umeabot> 0.5.0-12.mga9
+ Revision: 1834944
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 0.5.0-11.mga9
+ Revision: 1784639
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 0.5.0-10.mga8
+ Revision: 1553184
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 0.5.0-9.mga8
+ Revision: 1516661
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-8.mga7
+ Revision: 1300908
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 daviddavid <daviddavid> 0.5.0-7.mga7
+ Revision: 1220662
- rebuild for new yaz 5.23.1

* Mon Jan 01 2018 pterjan <pterjan> 0.5.0-6.mga7
+ Revision: 1188715
- Rebuild for Ruby 2.5

* Wed Oct 04 2017 pterjan <pterjan> 0.5.0-5.mga7
+ Revision: 1168905
- Only run the tests that do not require internet

* Tue Aug 15 2017 pterjan <pterjan> 0.5.0-4.mga7
+ Revision: 1140898
- Rebuild for new Ruby

* Sat Mar 12 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 989681
- Add missing BuildRequires

* Sat Dec 19 2015 pterjan <pterjan> 0.5.0-2.mga6
+ Revision: 912286
- Update file list
- Update test hack
+ spuhler <spuhler>
- rebuild with new libruby
+ tv <tv>
- drop merged patches
- new release + sync patches with FC

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-12.mga5
+ Revision: 739272
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.4.1-10.mga4
+ Revision: 562752
- Make patch1 more robust
- Fix gem macros and update patch1

* Sat Dec 21 2013 pterjan <pterjan> 0.4.1-9.mga4
+ Revision: 559577
- Update for new binary extensions location

* Tue Oct 22 2013 umeabot <umeabot> 0.4.1-8.mga4
+ Revision: 541920
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 pterjan <pterjan> 0.4.1-7.mga4
+ Revision: 496553
- Update the patch to not break when gems version changes

* Sun Sep 29 2013 pterjan <pterjan> 0.4.1-6.mga4
+ Revision: 488891
- Patch for new rake/rdoc/gem
- Use gem_setup and gem_build

* Sun Jun 23 2013 fwang <fwang> 0.4.1-5.mga4
+ Revision: 445846
- try building with ruby-test-unit

* Fri Feb 08 2013 umeabot <umeabot> 0.4.1-4.mga3
+ Revision: 396635
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 381632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 pterjan <pterjan> 0.4.1-2.mga3
+ Revision: 317039
- Get it to build (including modified version of a patch by Piotr Slatala)
- Patch for ruby 1.9
+ fwang <fwang>
- rebuild for new ruby

* Fri Apr 29 2011 dmorgan <dmorgan> 0.4.1-1.mga1
+ Revision: 93465
- imported package ruby-zoom

